Loading...
Searching...
No Matches
apr_sockaddr_t Struct Reference
Apache Portability Runtime library » Network Routines

`#include <apr_network_io.h>`

Collaboration diagram for apr_sockaddr_t:
[legend]

## Data Fields

apr_pool_t * | pool
char * | hostname
char * | servname
apr_port_t | port
apr_int32_t | family
apr_socklen_t | salen
int | ipaddr_len
int | addr_str_len
void * | ipaddr_ptr
apr_sockaddr_t * | next
union { |
struct sockaddr_in sin |
} | sa |

## Detailed Description

APRs socket address type, used to ensure protocol independence

## Field Documentation

## addr_str_len

int apr_sockaddr_t::addr_str_len

How big should the address buffer be? 16 for v4 or 46 for v6 used in inet_ntop...

## family

apr_int32_t apr_sockaddr_t::family

The family

## hostname

char* apr_sockaddr_t::hostname

The hostname

## ipaddr_len

int apr_sockaddr_t::ipaddr_len

How big is the ip address structure we're using?

## ipaddr_ptr

void* apr_sockaddr_t::ipaddr_ptr

This points to the IP address structure within the appropriate sockaddr structure.

## next

apr_sockaddr_t* apr_sockaddr_t::next

If multiple addresses were found by apr_sockaddr_info_get(), this points to a representation of the next address.

## pool

apr_pool_t* apr_sockaddr_t::pool

The pool to use...

## port

apr_port_t apr_sockaddr_t::port

The numeric port

## [union]

union { ... } apr_sockaddr_t::sa

Union of either IPv4 or IPv6 sockaddr.

## salen

apr_socklen_t apr_sockaddr_t::salen

How big is the sockaddr we're using?

## servname

char* apr_sockaddr_t::servname

Either a string of the port number or the service name for the port

## sin

struct sockaddr_in apr_sockaddr_t::sin

IPv4 sockaddr structure

The documentation for this struct was generated from the following file:

- apr_network_io.h